Parameters
address
dictionary
name
string
phone_number
string
address_line_1
string
address_line_2
string
landmark
string
state
string
post_code
number
country
string
type
string
coordinates
dictionary
POST/v1/addresses
bash
curl https://api.tradly.app/v1/addresses \
-H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
-H "Content-Type: application/json" \
-X POST \
-d '{
"address": {
"name": "John Doe",
"phone_number": "77990033",
"address_line_1": "13, Building# 81",
"address_line_2": "Guerrero St, San Francisco",
"landmark": "St. James Catholic Church",
"state": "San Francisco",
"post_code": 94110,
"country": "United States",
"type": "shipping_address",
"coordinates": {
"latitude": 37.7526906,
"longitude": -122.4241078
}
}
}'RESPONSE
json
{
"status": true,
"data": {
"address": {
"id": 1
}
}
}